Support » Plugin: W3 Total Cache » W3 Total Cache and PHP 7.0.9

Viewing 15 replies - 1 through 15 (of 20 total)
  • PHP-FPM – www-error.log

    [21-Jul-2016 19:42:28 UTC] PHP Warning: Parameter 1 to W3_Plugin_Minify::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:28 UTC] PHP Warning: Parameter 1 to W3_Plugin_Cdn::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:28 UTC] PHP Warning: Parameter 1 to W3_PgCache::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:30 UTC] PHP Warning: Parameter 1 to W3_Plugin_Minify::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:30 UTC] PHP Warning: Parameter 1 to W3_Plugin_Cdn::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:30 UTC] PHP Warning: Parameter 1 to W3_PgCache::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:34 UTC] PHP Warning: Parameter 1 to W3_Plugin_Minify::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:34 UTC] PHP Warning: Parameter 1 to W3_Plugin_Cdn::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23
    [21-Jul-2016 19:42:34 UTC] PHP Warning: Parameter 1 to W3_PgCache::ob_callback() expected to be a reference, value given in /wp-content/plugins/w3-total-cache/inc/functions/plugin.php on line 23

    Have you attempted the fix in this post?

    How to Fix PHP7 Compatibility Issue with W3 Total Cache

    Hello,
    Thanks for direction!

    Yes, I attempted the fix in this post. This worked before 7.0.9 (php7.0.8 – worked normaly)
    Problem with Blank Screen on Frontend solved after I returns back “&” symbol in

    function ob_callback(&$buffer) {

    1. But now I have message on Frontend:

    Warning: Parameter 1 to W3_Plugin_TotalCache::ob_callback() expected to be a reference, value given in /wp-includes/functions.php on line 3549

    2. The plugin is not effective.

    🙁

    Same issue with PHP 7.0.9 as supplied by dotdeb on Debian Jessie. I did this:

    Make sure the old fix is in-place:

    https://www.itnota.com/fixing-php7-compatibility-issue-w3-total-cache/

    Then, on line 23 of:

    wp-content/plugins/w3-total-cache/inc/functions/plugin.php

    Just comment it out:

    #$value = call_user_func($callback, $value);

    Restart php-fpm, etc. The whitescreen issue should be resolved. W3 Total Cache appears to be functional as well. For instance I’m using memcache with it and it’s clearly caching objects in memcached. The page source footer is also in-place indicating it’s functioning as expected:

    <!– Performance optimized by W3 Total Cache. Learn more: http://www.w3-edge.com/wordpress-plugins/

    Page Caching using memcached
    Database Caching using memcached
    Object Caching 2299/2590 objects using memcached

    There may be a more desirable fix, I’m not aware of the full implications of commenting that line out, but the plugin does appear to work just doing that. Hopefully this plugin gets properly updated for PHP 7 some time in the near future, piecemeal fixes are getting old.

    Edit: On further inspection, this “fix” appears to resolve the whitescreen issue and the plugin functions and populates the cache, but doesn’t actually persist the cache on subsequent page loads. In other words, at least the Page Cache is regenerated on each page load. Still, better than nothing for the time being. Hopefully there is a better solution someone else chimes-in with.

    Right, so, taking a further look at this, it seems the following is the proper fix instead of simply commenting-out line 23 of:

    wp-content/plugins/w3-total-cache/inc/functions/plugin.php

    Thereby restoring partial functionality to W3 Total Cache, do this instead:

    1)
    Make sure the old fix is in-place:

    https://www.itnota.com/fixing-php7-compatibility-issue-w3-total-cache/

    2)
    Update the following files:

    wp-content/plugins/w3-total-cache/lib/W3/PgCache.php:    function ob_callback(&$buffer) {
    wp-content/plugins/w3-total-cache/lib/W3/Plugin/NewRelic.php:    function ob_callback(&$buffer) {
    wp-content/plugins/w3-total-cache/lib/W3/Plugin/Cdn.php:    function ob_callback(&$buffer) {
    wp-content/plugins/w3-total-cache/lib/W3/Plugin/BrowserCache.php:    function ob_callback(&$buffer) {
    wp-content/plugins/w3-total-cache/lib/W3/Plugin/Minify.php:    function ob_callback(&$buffer) {

    Such that:

    function ob_callback(&$buffer) {

    becomes:

    function ob_callback($buffer) {

    If you’re paying attention, this is the exact same fix the original itnota.com fix applies, just extending it to everything else in the wp-content/plugins/w3-total-cache/lib/W3 directory and Plugin subdirectory. I have no idea why this is necessary specifically with PHP 7.0.9 and not with 7.0.8 and earlier PHP 7 minor versions, but it appears to be the case.

    At any rate, once you’ve transposed everything in wp-content/plugins/w3-total-cache/lib/W3 and the Plugin subdirectory as noted above, and restarted php-fpm (etc.), W3 Total Cache appears to function as expected, persisting cache as expected as well.

    natenate19, You are The Best! 🙂

    I changed lines in:
    /w3-total-cache/lib/W3/Plugin/BrowserCache.php
    /w3-total-cache/lib/W3/Plugin/Cdn.php
    /w3-total-cache/lib/W3/Plugin/Minify.php
    /w3-total-cache/lib/W3/Plugin/NewRelic.php
    /w3-total-cache/lib/W3/Plugin/TotalCache.php

    /w3-total-cache/lib/W3/PgCache.php

    from

    function ob_callback(&$buffer) {

    to

    function ob_callback($buffer) {

    and plugin works perfect again!

    Thanks all – this fixed it for me too (another dotdeb user).

    Ashok

    (@bappidgreat)

    Hello kysil

    Thanks for the info you shared, it’s pretty much helpful 🙂

    Have a good day!

    Cheers
    Ash

    This was the secound time all my pages crashed and I lost thousands of users (my webhoster changed from php 7.0.7 to 7.0.9). I decided to change to WP Rocket Cache plugin now. Its not free, but I hope they test plugin with new php Versions before they are rolled out.

    if you have many sites with w3tc error &$buffer that you wanted to repair, just try this sed command to replace them all with $buffer

    cd /home;
    find -type f -name 'PgCache.php' -exec sed -i 's;ob_callback(\&\$buffer);ob_callback(\$buffer);g' {} \;
    find -type f -name 'BrowserCache.php' -exec sed -i 's;ob_callback(\&\$buffer);ob_callback(\$buffer);g' {} \;
    find -type f -name 'Cdn.php' -exec sed -i 's;ob_callback(\&\$buffer);ob_callback(\$buffer);g' {} \;
    find -type f -name 'Minify.php' -exec sed -i 's;ob_callback(\&\$buffer);ob_callback(\$buffer);g' {} \;
    find -type f -name 'NewRelic.php' -exec sed -i 's;ob_callback(\&\$buffer);ob_callback(\$buffer);g' {} \;
    find -type f -name 'TotalCache.php' -exec sed -i 's;ob_callback(\&\$buffer);ob_callback(\$buffer);g' {} \;

    I had the same problem and this method fixed it.
    Thanks a lot for sharing!

    I didn’t find the line function ob_callback(&$buffer) { in two of the files? And because of that (?) the new fix didn’t work for me.

    If you run WP Engine PHP Compatibility Checker you will see 40 warnings and 72 errors. So there are many more errors to be fixed before you can run W3TC with PHP 7.0.

    https://wordpress.org/plugins/php-compatibility-checker/

    If you run WP Engine PHP Compatibility Checker you will see 40 warnings and 72 errors. So there are many more errors to be fixed before you can run W3TC with PHP 7.0.

    https://wordpress.org/plugins/php-compatibility-checker/

    Oh, yeaaah…

    FILE: /wp-content/plugins/w3-total-cache/inc/options/common/footer.php
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
     1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/inc/email/minify_error_notification.php
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
     1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/inc/lightbox/self_test.php
    ------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------------
     153 | ERROR | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
    ------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/inc/popup/common/footer.php
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
     1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/CSSTidy/class.csstidy_print.php
    ----------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------------
     336 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    ----------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/CSSTidy/class.csstidy_optimise.php
    -------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------
     735 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    -------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/CSSTidy/class.csstidy.php
    ----------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------
     993 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    ----------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/SNS/lib/requestcore/requestcore.class.php
    --------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    --------------------------------------------------------------------------------------------------------
     650 | ERROR | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
    --------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/W3/Pro/FragmentCache.php
    -------------------------------------------------------------------------------------------------------------------------
    FOUND 2 ERRORS AFFECTING 2 LINES
    -------------------------------------------------------------------------------------------------------------------------
     174 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
     225 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    -------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/W3/Db/mssql.php
    ------------------------------------------------------------------------------
    FOUND 24 ERRORS AFFECTING 23 LINES
    ------------------------------------------------------------------------------
      528 | ERROR | Extension 'mssql' is removed since PHP 7.0
      529 | ERROR | Extension 'mssql' is removed since PHP 7.0
      530 | ERROR | Extension 'mssql' is removed since PHP 7.0
      551 | ERROR | Extension 'mssql' is removed since PHP 7.0
      756 | ERROR | Extension 'mssql' is removed since PHP 7.0
      934 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1058 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1074 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1075 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1076 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1142 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1145 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1154 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1159 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1166 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1169 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1189 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1203 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1206 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1206 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1214 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1215 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1238 | ERROR | Extension 'mssql' is removed since PHP 7.0
     1249 | ERROR | Extension 'mssql' is removed since PHP 7.0
    ------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/W3/Enterprise/DbCluster.php
    -------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 17 ERRORS AFFECTING 17 LINES
    -------------------------------------------------------------------------------------------------------------------------------------------
     359 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     443 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     465 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     471 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     513 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     520 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     534 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     540 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     544 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     552 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     553 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     559 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     564 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     637 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     649 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     778 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
     784 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 - use mysqli instead.
    -------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/W3/ObjectCache.php
    -------------------------------------------------------------------------------------------------------------------------
    FOUND 2 ERRORS AFFECTING 2 LINES
    -------------------------------------------------------------------------------------------------------------------------
     181 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
     232 | ERROR | 'clone' is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)
    -------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.wsdl.php
    --------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AND 3 WARNINGS AFFECTING 4 LINES
    --------------------------------------------------------------------------------------------------------------------------------
      758 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
      762 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
      763 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     1863 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
    --------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.nusoap_base.php
    -------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------
     887 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    -------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.wsdlcache.php
    -----------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -----------------------------------------------------------------------------------------
     192 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    -----------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.soap_fault.php
    ------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------
     63 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    ------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.soap_parser.php
    -------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------
     529 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    -------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/nusoap.php
    --------------------------------------------------------------------------------------------------------------------------------
    FOUND 11 ERRORS AND 37 WARNINGS AFFECTING 40 LINES
    --------------------------------------------------------------------------------------------------------------------------------
      887 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     1055 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     2034 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     2149 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     2437 | ERROR   | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
     2440 | ERROR   | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
     3420 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     3635 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3640 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3642 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3658 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3659 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3695 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3699 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3700 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3707 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3708 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3779 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3842 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     3844 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4419 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4439 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4439 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4440 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4441 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4442 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4442 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4442 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4443 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4443 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4506 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     4508 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4514 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4514 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4515 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4516 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4517 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4518 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4518 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4518 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4519 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     4519 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     5339 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     5343 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     5344 | WARNING | The use of long predefined variables has been deprecated in 5.3 and removed in 5.4; Found '$HTTP_SERVER_VARS'
     6444 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     7045 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
     8082 | ERROR   | Deprecated PHP4 style constructor are not supported since PHP7
    --------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.xmlschema.php
    -----------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -----------------------------------------------------------------------------------------
     955 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    -----------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.soap_transport_http.php
    ---------------------------------------------------------------------------------------------------
    FOUND 3 ERRORS AFFECTING 3 LINES
    ---------------------------------------------------------------------------------------------------
      284 | ERROR | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
      287 | ERROR | INI directive 'safe_mode' is deprecated from PHP 5.3 and forbidden from PHP 5.4.
     1267 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    ---------------------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.soap_val.php
    ----------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ----------------------------------------------------------------------------------------
     100 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    ----------------------------------------------------------------------------------------
    
    FILE: /wp-content/plugins/w3-total-cache/lib/Nusoap/class.soapclient.php
    ------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------
     926 | ERROR | Deprecated PHP4 style constructor are not supported since PHP7
    ------------------------------------------------------------------------------------------
    Daniel Kanchev

    (@danielkanchev)

    SiteGround Representative

    Daniel with SiteGround here. The issue with PHP 7.0.9 and plugins/themes that “suddenly” do not work as expected has been reported here:

    https://bugs.php.net/bug.php?id=72698

    The reason for the issues with 7.0.9 is the following commit:

    https://github.com/php/php-src/commit/fafe01b

    Rebuilding PHP 7.0.9 without this commit solves the issue. Alternatively you may downgrade to 7.0.8.

Viewing 15 replies - 1 through 15 (of 20 total)
  • The topic ‘W3 Total Cache and PHP 7.0.9’ is closed to new replies.